Subject: 25.1.50; cl-defmethod with :extra qualifier can't be edebugged

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 15 Jul 2016 09:01:24 -0700

cl-defmethod forms with an :extra qualifier can't be instrumented for
edebugging, presumably because the extra string tag isn't accounted for,
and it tries to parse the arglist as the lambda. The error message is:

edebug-syntax-error: Invalid read syntax: "Expected lambda expression"

In addition, the string tag is highlighted as a docstring.